marker line makes qgis crash

2013-07-29 01:04 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17154

Description

If I try to use a marker line symbol in order to replicate the same kind of symbology that the "line decoration" does, then qgis crashes, both

master and 1.8.

I attach a sample data (one of the various I tested) and screenshots of the style settings in order to replicate the issue. Tested on both

Linux and Windows.

giovanni@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Fatal: QGIS died on signal 11

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(dumpBacktrace()+0x6e)[0x4e80de]

/usr/bin/qgis.bin(myMessageOutput(QtMsgType, char const*)+0x88)[0x4e81e8]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x2e)[0x7ffe3c45c41e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x718bf)[0x7ffe3c45c8bf]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7ffe3c45ca64]

/lib/x86_64-linux-gnu/libc.so.6(+0x364a0)[0x7ffe398f74a0]

/usr/lib/libqgis_core.so.1.9.0(QgsMarkerLineSymbolLayerV2::renderPolylineCentral(QPolygonF const&,

QgsSymbolV2RenderContext&)+0x50)[0x7ffe3d3e9df0]

/usr/lib/libqgis_core.so.1.9.0(QgsMarkerLineSymbolLayerV2::renderPolyline(QPolygonF const&,

QgsSymbolV2RenderContext&)+0x34e)[0x7ffe3d3ed15e]

/usr/lib/libqgis_core.so.1.9.0(QgsLineSymbolLayerV2::renderPolygonOutline(QPolygonF const&, QList<QPolygonF>*,

QgsSymbolV2RenderContext&)+0x81)[0x7ffe3d3ce721]

/usr/lib/libqgis_core.so.1.9.0(QgsFillSymbolV2::renderPolygon(QPolygonF const&, QList<QPolygonF>*, QgsFeature const*,

QgsRenderContext&, int, bool)+0x19c)[0x7ffe3d3c9c2c]

/usr/lib/libqgis_core.so.1.9.0(QgsFeatureRendererV2::renderFeatureWithSymbol(QgsFeature&, QgsSymbolV2*,

QgsRenderContext&, int, bool, bool)+0x3ef)[0x7ffe3d412fcf]

/usr/lib/libqgis_core.so.1.9.0(QgsFeatureRendererV2::renderFeature(QgsFeature&, QgsRenderContext&, int, bool,

bool)+0x60)[0x7ffe3d4132b0]

/usr/lib/libqgis_core.so.1.9.0(QgsVectorLayer::drawRendererV2(QgsFeatureIterator&, QgsRenderContext&,

bool)+0x1c3)[0x7ffe3d5ce8b3]

/usr/lib/libqgis_core.so.1.9.0(QgsVectorLayer::draw(QgsRenderContext&)+0x305)[0x7ffe3d5dc8d5]

/usr/lib/libqgis_core.so.1.9.0(QgsMapRenderer::render(QPainter*, double*)+0xa9a)[0x7ffe3d52139a]

/usr/lib/libqgis_gui.so.1.9.0(QgsMapCanvasMap::render()+0x103)[0x7ffe3cf4e9d3]

/usr/lib/libqgis_gui.so.1.9.0(QgsMapCanvas::refresh()+0x51d)[0x7ffe3cf4927d]

/usr/lib/libqgis_gui.so.1.9.0(QgsMapCanvas::wheelEvent(QWheelEvent*)+0x1d9)[0x7ffe3cf4ce69]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xec4)[0x7ffe3b939984]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x26)[0x7ffe3bcf93b6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QGraphicsView::viewportEvent(QEvent*)+0x7b)[0x7ffe3bf23b2b]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x88)[0x7ffe3c566028]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x7f)[0x7ffe3b8e885f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x970)[0x7ffe3b8edf70]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x96)[0x7ffe3d477236]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8c)[0x7ffe3c565e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x238932)[0x7ffe3b955932]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24be6d)[0x7ffe3b968e6d]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xdce)[0x7ffe3b967bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7ffe3b9910d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7ffe38423d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7ffe384240a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7ffe38424164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x6f)[0x7ffe3c5953bf]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7ffe3b990d5e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x32)[0x7ffe3c564c82]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xf7)[0x7ffe3c564ed7]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x87)[0x7ffe3c569f67]
/usr/bin/qgis.bin(main+0x229e)[0x4e3cfe]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7ffe398e276d]
/usr/bin/qgis.bin[0x4e7c11]
Aborted (core dumped)
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xf7)[0x7ffe3c564ed7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x87)[0x7ffe3c569f67]
/usr/bin/qgis.bin[0x4e7c11]

Aborted (core dumped)

Related issues:

Related to QGIS Application - Bug report # 8379: Symbology: Get rid of duplic... Closed 2013-07-29

Associated revisions

Revision b54b31e9 - 2013-07-30 10:29 AM - Matthias Kuhn

[symbology] Markerline does not crash on empty lines (Fix #8381)

History

#1 - 2013-07-30 01:29 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"b54b31e98b5a99bafd3d2b386e14e4ca94f2b42a".

#2 - 2013-07-30 01:44 AM - Andreas Neumann

Thank you Matthias for fixing the bug so quickly!

Andreas
